RH6.0: xscreensaver
Posted by LinuxSecurity.com Team   
RedHat Linux In the xscreensaver package shipped with Red Hat Linux 6.0, certain security checks were disabled that could result in a security vulnerability if the screensaver was configured in a particular manner. While Red Hat Linux 6.0 does not ship with such a configuration, it is recommended that users upgrade to the fixed packages. Thanks to Jamie Zawinski for pointing this out.
 
Red Hat, Inc. Security Advisory

Package: xscreensaver

Updated: 11-May-1999

Problem:

  • (11-May-1999) Security Fix

    In the xscreensaver package shipped with Red Hat Linux 6.0, certain security checks were disabled that could result in a security vulnerability if the screensaver was configured in a particular manner. While Red Hat Linux 6.0 does not ship with such a configuration, it is recommended that users upgrade to the fixed packages. Thanks to Jamie Zawinski for pointing this out.

Solution: